Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84211 - Uknown/undecoded system calls in strace output
Summary: Uknown/undecoded system calls in strace output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: strace
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard: HP considers QU3 blocker bug
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 16:05 UTC by Glen A. Foster
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-19 17:57:55 UTC


Attachments (Terms of Use)
outuput of "strace top -n 1" | grep -i "^sys" (deleted)
2003-02-13 16:05 UTC, Glen A. Foster
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:294 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-12-19 05:00:00 UTC
Red Hat Product Errata RHBA-2003:361 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-11-18 05:00:00 UTC

Description Glen A. Foster 2003-02-13 16:05:02 UTC
Description of problem: The strace utility doesn't know about all the system 
calls that can be executed on an IA64/IPF box with Advanced Server.  This 
occurs both in the original release (2.4.18-e.12) and the latest errata kernel 
(2.4.18-e.25).

Version-Release number of selected component (if applicable):
# rpm -q strace kernel-smp
strace-4.3-2
kernel-smp-2.4.18-e.25

How reproducible: 100% (always)

Steps to Reproduce:
1. Install 2.1AS for IPF
2. Upgrade to latest errata packages
3. run "strace top -n 1" | grep -i "^sys"
    
Actual results: attached, shows undecoded/unknown system calls.

Expected results: All system calls known.

Comment 1 Glen A. Foster 2003-02-13 16:05:48 UTC
Created attachment 90053 [details]
outuput of "strace top -n 1" | grep -i "^sys"

Comment 2 Roland McGrath 2003-02-20 02:35:27 UTC
These bugs are fixed in the Rawhide strace rpm, which you can rebuild
from the srpm on AS2.1 without difficulty (rpmbuild --rebuild).


Comment 3 Glen A. Foster 2003-03-07 20:34:44 UTC
Changing state to MODIFIED.  Also, do you know if this will be posted as an 
errata to AS2.1/AW2.1 for IA64 anytime soon?

Comment 4 Roland McGrath 2003-03-07 20:39:14 UTC
You can't change the bug state, but I did so in case it makes you happy.

There is an outstanding issue relating to strace -f on ia64 that I hope will be
resolved very soon.  That is the only thing holding up me making both an strace
source release and an erratum version.  So the process towards having an erratum
will start quite soon, though I can't tell you anything definitive about when it
will be formally released to AS customers.



Comment 5 Glen A. Foster 2003-05-27 20:02:43 UTC
Changing product to Red Hat Enterprise Linux Beta

Comment 6 Glen A. Foster 2003-05-27 20:03:25 UTC
Verified fix in taroon alpha3 for ia64.

Comment 7 Glen A. Foster 2003-07-14 16:46:44 UTC
FWIW, strace still shows SYS_1210 and SYS_1214 in AS2.1 update 2.  Will there
ever be an errata/update for AS2.1 ??

Comment 8 Glen A. Foster 2003-08-25 22:01:33 UTC
This is _fixed_ in taroon, but was closed in bugzilla for the AS2.1 stuff.
This is STILL b0rken in 2.1 -- please add the fix to 2.1 update 3.

Comment 9 Larry Troan 2003-09-10 11:18:47 UTC
There are two Bugzillas for this IPF issue:
*90007 currently against 2.1 (this bug) and closed for TAROON
*84211 currently against Taroon though reopened against 2.1

Therefore, changing Products/Versions to reflect current dispositions
*90007 against Taroon as fixes in Alpha3
*84211 against 2.1 with target of QU3 (HP considers blocker); severity set to
HIGH   

Comment 10 Larry Troan 2003-10-16 22:32:04 UTC
HP-IPF considers MUSTFIX for Update3. Need Tim.CHris approval to add blocker bug.

Comment 11 John Flanagan 2003-12-19 17:57:55 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-294.html



Note You need to log in before you can comment on or make changes to this bug.